/*
 * Person.h
 *
 *  Scopo: Scrivere una classe di nome Person con tre attributi (privati):
 *  name e surname in grado di contenere stringhe e age di tipo intero.
 *  Creare metodi getter/setter per ogni attributo.
 *  Creare un metodo di nome createSalute che rende una stringa composta da "Hello "
 *  seguito da nome e cognome.
 *  Scrivere un programma che istanzi una variabile di tipo Person,
 *  imposti il valore del nome a "Bjarne", il cognome a "Stroustrup" e l'eta' a 63.
 *  Si invochi il metodo createSalute e si usi per stampare un saluto alla persona.
 */

#ifndef PERSON_H_
#define PERSON_H_

#include <string>

class Person {
public:
	Person(std::string aName, std::string aSurname, int anAge) : name(aName), surname(aSurname), age(anAge) {
		// there's no need to have a body if we use the initialization list...
	};
	std::string createSalute();

	int getAge() const;
	void setAge(int age);
	const std::string& getName() const;
	void setName(const std::string& name);
	const std::string& getSurname() const;
	void setSurname(const std::string& surname);

private:
	std::string name;
	std::string surname;
	int age;
};

#endif /* PERSON_H_ */
